## Apache Zeta Components Manual :: Docs For Class ezcDocumentDocbookToRstInlineMediaObjectHandler

### Document::ezcDocumentDocbookToRstInlineMediaObjectHandler

### Class ezcDocumentDocbookToRstInlineMediaObjectHandler

Visit inline media objects

Inline media objects are all kind of other media types, embedded in paragraphs, like images.

Source for this file: /Document/src/converters/element_visitor/docbook/rst/inlinemediaobject.php

    ezcDocumentElementVisitorHandler
       |
       --ezcDocumentDocbookToRstBaseHandler
          |
          --ezcDocumentDocbookToRstMediaObjectHandler
             |
             --ezcDocumentDocbookToRstInlineMediaObjectHandler

Version: | //autogen//

### Member Variables

protected int | `$substitution = 0` Substitution counter.

### Method Summary

public mixed | `handle( $converter , $node , $root )` Handle a node

### Inherited Methods

From ezcDocumentDocbookToRstMediaObjectHandler
protected array | `ezcDocumentDocbookToRstMediaObjectHandler::getDirectiveParameters()` Extract directive parameters
public mixed | `ezcDocumentDocbookToRstMediaObjectHandler::handle()` Handle a node
From ezcDocumentDocbookToRstBaseHandler
protected string | `ezcDocumentDocbookToRstBaseHandler::renderDirective()` Render a directive
From ezcDocumentElementVisitorHandler
public abstract mixed | `ezcDocumentElementVisitorHandler::handle()` Handle a node.

### Methods

#### handle

mixed handle( ezcDocumentElementVisitorConverter $converter , $node , mixed $root )

Handle a node

Handle / transform a given node, and return the result of the conversion.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$converter` | ezcDocumentElementVisitorConverter |
`$node` | DOMElement |
`$root` | mixed |

##### Redefinition of:

Method | Description
--- | ---
`ezcDocumentDocbookToRstMediaObjectHandler::handle()` | Handle a node

Documentation generated by phpDocumentor 1.4.3